summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Menno Duursma <druiloor@zonnet.nl>2010-07-25 21:27:56 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-07-25 21:52:41 -0500
commit415f77873c20b1b9690e37eed16e5e392342b801 (patch)
treefb6da4a554116af14eed885a2a2c9e9739991fb1 /misc
parent41299b6c7b9107442066851a962323d9dabec0cc (diff)
downloadslackbuilds-415f77873c20b1b9690e37eed16e5e392342b801.tar.gz
slackbuilds-415f77873c20b1b9690e37eed16e5e392342b801.tar.xz
misc/ssh-keyinstall: Added (A script to help install ssh keys)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/ssh-keyinstall/README8
-rw-r--r--misc/ssh-keyinstall/slack-desc19
-rw-r--r--misc/ssh-keyinstall/ssh-keyinstall.SlackBuild43
-rw-r--r--misc/ssh-keyinstall/ssh-keyinstall.info10
4 files changed, 80 insertions, 0 deletions
diff --git a/misc/ssh-keyinstall/README b/misc/ssh-keyinstall/README
new file mode 100644
index 0000000000..12a4c7f2e4
--- /dev/null
+++ b/misc/ssh-keyinstall/README
@@ -0,0 +1,8 @@
+ssh-keyinstall helps an ssh user set up the keys at both ends of an ssh
+connection.
+
+ssh-keyinstall is a script that helps an ssh user set up the
+keys at both ends of an ssh connection. It creates an rsa or dsa key if
+needed and copies the public half to the server. Once the process is
+done, you'll be able to log in with the passphrase and key instead of a
+password.
diff --git a/misc/ssh-keyinstall/slack-desc b/misc/ssh-keyinstall/slack-desc
new file mode 100644
index 0000000000..db707ba761
--- /dev/null
+++ b/misc/ssh-keyinstall/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+ssh-keyinstall: ssh-keyinstall (A script to help install ssh keys)
+ssh-keyinstall:
+ssh-keyinstall: ssh-keyinstall is a script that helps an ssh user set up the
+ssh-keyinstall: keys at both ends of an ssh connection.
+ssh-keyinstall:
+ssh-keyinstall: ssh-keyinstall was written by William Stearns
+ssh-keyinstall:
+ssh-keyinstall:
+ssh-keyinstall:
+ssh-keyinstall:
+ssh-keyinstall:
diff --git a/misc/ssh-keyinstall/ssh-keyinstall.SlackBuild b/misc/ssh-keyinstall/ssh-keyinstall.SlackBuild
new file mode 100644
index 0000000000..a9d4f076c8
--- /dev/null
+++ b/misc/ssh-keyinstall/ssh-keyinstall.SlackBuild
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+# Slackware build script for ssh-keyinstall
+
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+PRGNAM=ssh-keyinstall
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i "s|/usr/share/doc/|/usr/doc/|" Makefile
+make install DESTDIR=$PKG
+chmod -v 0755 $PKG/usr/bin/ssh-keyinstall
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/ssh-keyinstall/ssh-keyinstall.info b/misc/ssh-keyinstall/ssh-keyinstall.info
new file mode 100644
index 0000000000..7fd91c75cd
--- /dev/null
+++ b/misc/ssh-keyinstall/ssh-keyinstall.info
@@ -0,0 +1,10 @@
+PRGNAM="ssh-keyinstall"
+VERSION="1.0.0"
+HOMEPAGE="http://www.stearns.org/ssh-keyinstall/"
+DOWNLOAD="http://www.stearns.org/ssh-keyinstall/ssh-keyinstall-1.0.0.tar.gz"
+MD5SUM="bb391ae50133d6a818fa37554eec2cc4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED=""